Feeds
List feeds
List feeds.
GET
/v1/feedsTL;DR
| Question | Answer |
|---|---|
| What does it do? | List feeds. |
| What does it need? | An API key or an OAuth access token. |
| What does it take? | Nothing. |
| What does it return? | Status 200 with a body of type FeedList. |
| In the SDK? | flung.feeds.list() |
| As an MCP tool? | list_feeds |
| What can go wrong? | 401 Missing, unknown, revoked or expired API key; 422 The request failed validation; 429 Too many requests for this credential; wait for retry-after seconds. Every failure has the same error shape. |
Example
bash
curl -X GET 'https://api.flung.dev/v1/feeds' \ --header "Authorization: Bearer $FLUNG_API_KEY"ts
import { Flung } from '@flung.dev/sdk'
const flung = new Flung({ apiKey: process.env.FLUNG_API_KEY! })const result = await flung.feeds.list()js
const response = await fetch('https://api.flung.dev/v1/feeds', { method: 'GET', headers: { 'Authorization': `Bearer ${process.env.FLUNG_API_KEY}`, },})if (!response.ok) throw new Error((await response.json()).error.message)const result = await response.json()A successful answer looks like this:
json
{ "data": [ { "id": "feed_aaaaaaaaaaaaaaaaaaaaaaaa", "url": "string", "accountIds": [ "string" ], "template": "string", "enabled": true, "lastCheckedAt": "2026-11-01T09:00:00.000Z", "lastError": "string", "createdAt": "2026-11-01T09:00:00.000Z" } ]}Responses
| Status | Meaning | Body |
|---|---|---|
| 200 | Every feed. | FeedList |
| 401 | Missing, unknown, revoked or expired API key. | Error |
| 422 | The request failed validation. | Error |
| 429 | Too many requests for this credential; wait for retry-after seconds. | Error |
Response body
A 200 answer has the type FeedList.
| Field | Type | Required | Description |
|---|---|---|---|
data | Feed[] | yes | |
data[].id | string | yes | |
data[].url | string | yes | |
data[].accountIds | string[] | yes | |
data[].template | string | yes | The post text: {{title}}, {{link}}, {{summary}} from each item, and workspace variables. |
data[].enabled | boolean | yes | |
data[].lastCheckedAt | string | null | yes | |
data[].lastError | string | null | yes | |
data[].createdAt | string | yes |
See also
| Doc | Why |
|---|---|
| API reference | Every endpoint |
| Schemas | Every request and response type |
| Errors | Every error code and what to do about it |
list_feeds | The same operation as an MCP tool |